.d-grid {
  display: grid;
}

.grid-col-3 {
  grid-template-columns: repeat(3, 1fr);
}

.grid-col-4 {
  grid-template-columns: repeat(4, 1fr);
}

.grid-col-2 {
  grid-template-columns: repeat(2, 1fr);
}

.grid-col-1-3-1 {
  grid-template-columns: 2fr 1fr 2fr;
}

.grid-col-3-1 {
  grid-template-columns: 3fr 1fr;
}

.grid-col-1-2 {
  grid-template-columns: 1fr 2fr;
}

.grid-col-1-3 {
  grid-template-columns: 1fr 3fr;
}

.grid-col-1-8 {
  grid-template-columns: 1fr 8fr;
}

.gap-10 {
  gap: 10px;
}

.gap-20 {
  gap: 20px;
}

.gap-30 {
  gap: 30px;
}

.gap-40 {
  gap: 40px;
}

.section h2 {
  font-weight: 700;
  font-size: 35px;
}

.fade-in {
  opacity: 0;
  transition: opacity 1s ease-in-out;
}

.fade-in.loaded {
  opacity: 1;
}

.moblie_header {
  display: none;
}

.middle-header {
  background: #000;
  box-shadow: 0 2px 5px 0 rgba(0, 0, 0, 0.11);
}

.menu_left ul,
.menu_right ul,
.dropdown-top-header ul {
  list-style-type: none;
}

.top--header {
  background: var(--color-1st);
}

.top--header * {
  color: #fff;
}

.logo_center .logo a {
  position: relative;
  display: block;
}

.logo_center .logo a img {
  position: relative;
  z-index: 1;
}

.logo_center .logo a::before {
  position: absolute;
  left: 0;
  bottom: -20px;
  width: 100%;
  background: #fff;
  border-radius: 50%;
  content: '';
  height: 100%;
  z-index: 0;
  display: block;
}

.footer_light {
  position: relative;
  background: var(--color-1st);
}

.btn--lnik {
  margin-top: 30px;
  position: relative;
  z-index: 9999;
}

.btn--lnik img {
  max-width: 80px;
}

.bottom--why ul {
  position: relative;
  z-index: 9999;
}

.sticky-top {
  z-index: 99999;
}

.post_wrap {
  box-shadow: 0 5px 10px rgba(0, 0, 0, 0.15), 0 4px 15px rgba(0, 0, 0, 0.13);
  border-radius: 10px;
  padding: 10px;
}

.post_wrap:hover .image_wrap img {
  transform: scale(1.2);
  transition: all 0.2s ease-in-out;
  overflow: hidden;
}

.post_wrap .image_wrap img {
  transition: all 0.2s ease-in-out;
}

.post_wrap .image_wrap {
  position: relative;
  overflow: hidden;
}

.post_wrap .image_wrap .thoigian {
  position: absolute;
  left: 20px;
  bottom: 20px;
  background: var(--color-1st);
  border-radius: 20px;
  padding: 10px;
  color: #fff;
}

.post_wrap .intro_wrap .title {
  overflow: hidden;
  text-overflow: ellipsis;
  line-height: 25px;
  -webkit-line-clamp: 2;
  height: 45px;
  display: -webkit-box;
  -webkit-box-orient: vertical;
}

.post_wrap .intro_wrap .decs {
  overflow: hidden;
  text-overflow: ellipsis;
  line-height: 25px;
  -webkit-line-clamp: 3;
  height: 76px;
  display: -webkit-box;
  -webkit-box-orient: vertical;
}

.center--footer * {
  color: #fff;
}

.center--footer {
  padding: 20px 0;
}

.center--footer .contant--footer {
  padding-left: 20px;
  border-left: 1px solid #dddddd47;
}

.top--footer {
  border-bottom: 1px solid #dddddd47;
}

@keyframes spin {
  from {
    transform: rotate(0deg);
  }

  to {
    transform: rotate(360deg);
  }
}

.menu--fixed {
  display: none;
}

.danhmuctrong .post_contant ul,
.sidebar .widget_recent_post,
.danhmuc ul {
  padding-left: 0;
  list-style-type: none;
}

.danhmuctrong .post_contant ul .icon svg,
.danhmuc ul svg {
  width: 30px;
  height: 30px;
}

.danhmuctrong .post_contant ul li a,
.post_content {
  display: flex;
  gap: 10px;
}

.danhmuctrong,
.sidebar {
  padding: 20px;
  border-radius: 20px;
  box-shadow: 0 0 5px 0 #ddd;
}

.sidebar .post_footer {
  font-size: 14px;
}

.sidebar .post_header h4 {
  font-size: 24px;
  font-weight: 700;
  color: var(--color-1st);
}

.ps-list--categories .last {
  border-bottom: 0;
}

.sidebar {
  position: sticky;
  top: 182px;
}

.shop_container {
  margin-bottom: 40px;
}

#product-brand {
  flex-wrap: wrap;
}

.top_menu_pc a {
  color: #fff;
}

.btn-sign-btn {
  background: var(--color-1st);
  color: #ffff;
  border-radius: 20px;
  padding: 10px 30px;
  border: 0;
  white-space: nowrap;
}

.btn-close {
  position: absolute;
  right: 10px;
  top: 10px;
  border: 1px solid var(--color-1st);
  width: 40px;
  height: 40px;
  display: flex;
  justify-content: center;
  align-items: center;
  border-radius: 50%;
}

.sign_up_now1 {
  border: 1px solid var(--color-1st);
  border-radius: 30px;
  padding: 10px 30px;
  text-align: center;
  margin: 20px 0;
}

.sign_up_now1:hover {
  background: var(--color-1st);
}

.sign_up_now1:hover .btn-sign1 {
  color: #fff;
}

.sign_up_now1 .btn-sign1 {
  background: transparent;
  border: 0;
  color: var(--color-1st);
  width: 100%;
}

.section .title h4 {
  color: var(--color-1st);
}

.btn-xemthem a {
  background: var(--color-1st);
  border-radius: 30px;
  padding: 10px 40px;
  color: #fff;
}

@-webkit-keyframes pulse-border {
  0% {
    -webkit-transform: scale(1);
    transform: scale(1);
    opacity: 1;
  }

  100% {
    -webkit-transform: scale(1.75);
    transform: scale(1.75);
    opacity: 0;
  }
}

@keyframes pulse-border {
  0% {
    -webkit-transform: scale(1);
    transform: scale(1);
    opacity: 1;
  }

  100% {
    -webkit-transform: scale(1.75);
    transform: scale(1.75);
    opacity: 0;
  }
}

.header_wrap.nav-fixed .middle-header,
body:not(body.index) .middle-header {
  background: var(--color-1st);
}


body:not(body.index) .header_wrap.fixed-top {
  position: sticky;
}

.btn-chitiet {
  background: var(--color-1st);
  border-radius: 30px;
  padding: 10px 30px;
}

.blog-new {
  border-radius: 20px;
  overflow: hidden;
}

.blog-new .image {
  position: relative;
}

.blog-new .image .icon-img {
  position: absolute;
  bottom: -30px;
  left: 0;
}

.blog-new .info {
  padding: 40px 20px;
  background: #F1F5FF;
}

.blog-new .info h3 {
  font-weight: 600;
}

.footer-menu .menu .content ul {
  list-style-type: none;
  padding-left: 0;
}

.footer-menu .title h3 {
  font-weight: 700;
}

@media (max-width: 575.98px) {}

@media (max-width: 767.98px) {
  .section--news .grid-col-3 {
    grid-template-columns: 1fr !important;
  }

  .section .grid-col-2,
  .section--number .number--home {
    grid-template-columns: 1fr !important;
  }

  .section--number .number--home .image .link--catalogue {
    left: 0;
  }
}

.select-css {
  -moz-appearance: none;
  -webkit-appearance: none;
  appearance: none;
  background-color: #fff;
  background-image: url('data:image/svg+xml;charset=US-ASCII,%3Csvg%20xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22%20width%3D%22292.4%22%20height%3D%22292.4%22%3E%3Cpath%20fill%3D%22%23007CB2%22%20d%3D%22M287%2069.4a17.6%2017.6%200%200%200-13-5.4H18.4c-5%200-9.3%201.8-12.9%205.4A17.6%2017.6%200%200%200%200%2082.2c0%205%201.8%209.3%205.4%2012.9l128%20127.9c3.6%203.6%207.8%205.4%2012.8%205.4s9.2-1.8%2012.8-5.4L287%2095c3.5-3.5%205.4-7.8%205.4-12.8%200-5-1.9-9.2-5.5-12.8z%22%2F%3E%3C%2Fsvg%3E');
  background-repeat: no-repeat, repeat;
  background-position: right 20px top 50%, 0 0;
  background-size: .65em auto, 100%;
}

.select-css::-ms-expand {
  display: none;
}

.select-css:hover {
  border-color: #888;
}

.select-css:focus {
  border-color: #aaa;
  box-shadow: 0 0 0 0 rgba(59, 152, 252, 0);
  box-shadow: 0 0 0 0 -moz-mac-focusring;
  color: #222;
  outline: none;
}

.select-css option {
  font-weight: normal;
  display: block;
  padding: 20px 0;
}

.news-featured .new-featured-the .image img {
  display: block;
  margin: auto;
}

.dropdown-menu .sub-menu {
  padding-left: 0;
}

header #navCatContent ul li .dropdown-menu {
  border-top: 1px solid #fff;
}

.dropdown-menu .sub-menu .menu-item a {
  padding: 5px 25px;
  display: block;
  border-bottom: 1px solid #fff;
}

.goog-te-gadget .goog-te-combo {
  width: 17px;
  background: transparent;
  color: #fff;
  border: 0;
}

@media (max-width: 1120px) {
.fromtuvan{
        grid-template-columns: 1fr !important;
}

.video-tuvan {
    left: 50% !important;
    top: 98% !important;
    transform: translatex(-50px) rotate(90deg) !important;
    z-index: 0;
}

.linhvuc{
        display: block !important;
}
}

@media (max-width: 991.98px) {

  .goog-te-gadget .goog-te-combo {
    width: 17px;
    background: transparent;
    color: #fff;
    border: 0;
  }

  .mobile_side_menu .menu-title {
    margin-bottom: 30px;
  }

  /*#google_translate_element.open{*/
  /*    display: block;*/
  /*}*/

  #google_translate_element {
    right: 30px !important;
    top: 14px !important;
    width: 17px;
  }

  .blog-media .item-blog.grid-col-3 {
    grid-template-columns: 1fr !important;
  }

  .section h2 {
    text-align: center !important;
    margin-bottom: 40px;
  }

  .news-featured .items .intro .title {
    margin-bottom: 10px !important;
  }

  .news-featured .items {
    margin-bottom: 30px;
  }

  .video-tuvan {
    left: 50% !important;
    top: 98% !important;
    transform: rotate(90deg) translateY(70px) !important;
  }

  .section-intro .intro {
    grid-template-columns: 1fr !important;
  }

  .linhvuc,
  .duans,
  .fromtuvan,
  .news-featured {
    display: block !important;
  }

  .left,
  .right {
    padding: 0 0;
  }

  .form--shopping-cart .product-carts,
  .order-1 {
    margin-bottom: 20px;
  }

  .form--shopping-cart {
    display: block !important;
  }

  .right-loichungthuc {
    margin: 30px 0;
  }

  .loichungthuc,
  .products-media .product-intro .intro,
  .products-media .product-intro .intro .line .d-grid {
    display: block !important;
  }

  .contact--fixed .contact {
    overflow-y: scroll;
    height: 100vh;
    flex-wrap: wrap;
  }

  .product-loichungthuc .bottom-item {
    grid-template-columns: 1fr 1fr;
  }

  .contact--fixed .contact .form-contact,
  .cumgoi.grid-col-3 {
    grid-template-columns: 1fr;
  }

  .lienhe_contact .contant {
    flex-wrap: wrap;
    text-align: center;
    gap: 20px;
    justify-content: center;
  }

  .link--support .d-flex {
    flex-wrap: wrap;
  }

  .footer_light .container,
  .menu--footer.grid-col-2 {
    display: grid !important;
    justify-items: center;
    gap: 20px;
  }

  .footer-menu {
    flex-wrap: wrap;
  }

  .section-slow {
    padding: 100px 0;
  }

  .section-news .content {
    grid-template-columns: 1fr;
  }

  .navbar.show .navbar-collapse.mobile_side_menu {
    right: 0;
    width: 70%;
    background: var(--color-1st);
  }

  .menu--fixed {
    padding: 10px 0;
  }

  .menu--fixed ul li * {
    color: #fff;
    fill: #fff;
  }

  .menu--fixed button {
    border: none;
    background: none;
    padding: 0;
    margin: 0;
    cursor: pointer;
    font-family: inherit;
  }

  .menu--fixed .background {
    position: relative;
    border-radius: 50%;
    border: 1px solid #fff;
    background: rgba(74, 74, 74, 0.39);
    mix-blend-mode: luminosity;
    box-shadow: 0px 0px 0px 1px rgba(0, 0, 0, 0.20);
    backdrop-filter: blur(15px);
    width: 40px;
    height: 40px;
    display: flex;
    justify-content: center;
    align-items: center;
  }

  .menu--fixed .menu__icon {
    width: 22px;
    height: 22px;
    padding: 4px;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    transition: transform .4s;
  }

  .menu--fixed .menu__icon span {
    width: 100%;
    height: 0.25rem;
    border-radius: 0.125rem;
    background-color: #fff;
    box-shadow: 0 .5px 2px 0 hsla(0, 0%, 0%, .2);
    transition: width .4s, transform .4s, background-color .4s;
  }

  .menu--fixed .menu__icon :nth-child(1) {
    width: 75%;
  }

  .menu--fixed .menu__icon :nth-child(2) {
    width: 50%;
  }

  .menu--fixed .menu_fixed-ul {
    display: grid;
    gap: 10px;
    list-style-type: none;
    padding-left: 0;
    align-items: center;
    justify-content: space-around;
  }

  .menu--fixed {
    position: fixed;
    bottom: 10px;
    right: 10px;
    z-index: 99999;
    display: block;
  }

  .support-moidle {
    position: absolute;
    bottom: 140%;
    right: 0;
    opacity: 0;
    visibility: hidden;
    transition: all 0.2s ease;
    box-shadow: 0 5px 10px rgba(0, 0, 0, 0.15), 0 4px 15px rgba(0, 0, 0, 0.13);
  }

  .dropdown-toggle {
    position: absolute;
    top: 15px;
    right: 20px;
    width: 30px;
    height: 30px;
    background: transparent;
    color: #fff;
  }

  .support-moidle.show {
    opacity: 1;
    visibility: visible;
    transition: all 0.2s ease;
  }

  .support-moidle .support {
    padding-left: 0;
    list-style-type: none;
    background-color: var(--color-1st);
    width: 180px;
    border-top-left-radius: 10px;
    border-top-right-radius: 10px;
    border-bottom-left-radius: 10px;
    padding: 10px;
  }

  .support-moidle .support img {
    width: 30px;
    height: 30px;
  }

  .bottom--why ul {
    flex-wrap: wrap;
  }

  .moblie_header {
    display: block;
  }

  .fixed-top {
    position: sticky;
  }

  .moblie_header {
    background: var(--color-1st);
  }

  .moblie_header .container {
    display: flex;
    justify-content: space-between;
    align-items: center;
  }

  .timkiem {
    position: absolute;
    left: 0;
    top: 80px;
    z-index: 999;
  }


  .section--number .number--home {
    grid-template-columns: 1fr !important;
  }

  .section .grid-col-2,
  .section--news .grid-col-3 {
    grid-template-columns: 1fr 1fr;
  }

  .section h2 {
    font-size: 20px;
    width: 100% !important;
  }

  .addThis_listSharing {
    display: none;
  }

  .footer_light .container,
  .menu--footer.grid-col-2 {
    grid-template-columns: 1fr;
  }

  .logo--footer {
    text-align: center;
  }

  .shop_container.grid-col-3 {
    grid-template-columns: 1fr 1fr;
  }

  .mobile_side_menu .menu-title {
    border-bottom: 1px solid var(--color-1st);
    background: var(--color-1st);
  }

  .blog-media .container.grid-col-3-1 {
    grid-template-columns: 1fr;
  }

  .info_slider .text {
    width: 90%;
  }

  .order-first {
    order: 0 !important;
  }

  .product_header .product_header_left,
  .product_header_right samll {
    font-size: 10px;
  }

  #filter_categories {
    margin-bottom: 30px;
  }
}

@media (max-width: 1199.98px) {}

@media (max-width: 1399.98px) {}


.f-700 {
  font-weight: 700;
}

.f-bold {
  font-weight: bold;
}

.slider-media .slider-slick {
  position: relative;
}

.slider-media .slider-slick .items {
  position: relative;
}

.slider-media .slider-slick .items .text-title-trong {
  display: grid;
  grid-template-columns: 1fr 1fr;
  align-items: center;
  margin: auto;
  justify-content: center;
  justify-items: center;
  height: 100%;
  padding: 100px;
}

.slider-media .slider-slick .items .text-title {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
}

.slider-media .slider-slick .items .text-title .content {
  width: 50%;
}

.slider-media .slider-slick .items .text-title * {
  color: #fff;
}

.btn-slider:hover img {
  transform: rotate(360deg);
  transition: all 2s ease-in;
}

.btn-slider img {
  transition: all 2s ease-in;
}

/* .slider-media .slick-active .title{
    transform: translateY(0);
    transition: all 1s ease;
}
.slider-media .title{
    transform: translateY(50px);
    transition: all 1s ease;
} */



/* css slider */

@media (min-width: 992px) {

  .slider,
  .slide {
    height: 100vh;
  }
}

.slide {
  position: relative;
}

.slide .slide__img {
  width: 100%;
  height: auto;
  overflow: hidden;
}

@media (min-width: 992px) {
  .slide .slide__img {
    position: absolute;
    top: 50%;
    left: 0;
    transform: translateY(-50%);
  }
}

.slide .slide__img img {
  max-width: 100%;
  height: auto;
  opacity: 1 !important;
  -webkit-animation-duration: 3s;
  animation-duration: 3s;
  transition: all 1s ease;
}

.slide .slide__content {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
}

.slide .slide__content.slide__content__left {
  left: 15%;
  transform: translate(-15%, -50%);
}

.slide .slide__content.slide__content__right {
  right: 15%;
  left: auto;
  transform: translate(5%, -50%);
}

.slide .slide__content--headings {
  color: #FFF;
}

.slide .slide__content--headings h2 {
  /* font-size: 4.5rem; */
  margin: 10px 0;
}

.slide .slide__content--headings .animated {
  transition: all 0.5s ease;
}

.slide .slide__content--headings .top-title {
  font-family: "Playball", cursive;
  font-size: 2.5rem;
}

.slide .slide__content--headings .button-custom {
  text-decoration: none;
  color: #333;
  padding: 1.2rem 2.5rem;
  font-size: 1.5rem;
}

.slider [data-animation-in] {
  opacity: 0;
  -webkit-animation-duration: 1.5s;
  animation-duration: 1.5s;
  transition: opacity 0.5s ease 0.3s;
}

.slick-dotted .slick-slider {
  margin-bottom: 30px;
}

.slick-dots {
  position: absolute;
  bottom: 25px;
  list-style: none;
  display: block;
  text-align: center;
  padding: 0;
  margin: 0;
  width: 100%;
}

.slick-dots li {
  position: relative;
  display: inline-block;
  margin: 0 5px;
  padding: 0;
  cursor: pointer;
}

.slick-dots li button {
  border: 0;
  display: block;
  outline: none;
  line-height: 0px;
  font-size: 0px;
  color: transparent;
  padding: 5px;
  cursor: pointer;
  transition: all 0.3s ease;
}

.slick-dots li button:hover,
.slick-dots li button:focus {
  outline: none;
}

.simple-dots .slick-dots li {
  width: 20px;
  height: 20px;
}

.simple-dots .slick-dots li button {
  border-radius: 50%;
  background-color: white;
  opacity: 0.25;
  width: 20px;
  height: 20px;
}

.simple-dots .slick-dots li button:hover,
.simple-dots .slick-dots li button:focus {
  opacity: 1;
}

.simple-dots .slick-dots li.slick-active button {
  color: white;
  opacity: 0.75;
}

.stick-dots .slick-dots li {
  height: 3px;
  width: 50px;
}

.stick-dots .slick-dots li button {
  position: relative;
  background-color: white;
  opacity: 0.25;
  width: 50px;
  height: 3px;
  padding: 0;
}

.stick-dots .slick-dots li button:hover,
.stick-dots .slick-dots li button:focus {
  opacity: 1;
}

.stick-dots .slick-dots li.slick-active button {
  color: white;
  opacity: 0.75;
}

.stick-dots .slick-dots li.slick-active button:hover,
.stick-dots .slick-dots li.slick-active button:focus {
  opacity: 1;
}

/* /////////// IMAGE ZOOM /////////// */
@-webkit-keyframes zoomInImage {
  from {
    transform: scale3d(1, 1, 1);
  }

  to {
    transform: scale3d(1.1, 1.1, 1.1);
  }
}

@keyframes zoomInImage {
  from {
    transform: scale3d(1, 1, 1);
  }

  to {
    transform: scale3d(1.1, 1.1, 1.1);
  }
}

.zoomInImage {
  -webkit-animation-name: zoomInImage;
  animation-name: zoomInImage;
}

@-webkit-keyframes zoomOutImage {
  from {
    transform: scale3d(1.1, 1.1, 1.1);
  }

  to {
    transform: scale3d(1, 1, 1);
  }
}

@keyframes zoomOutImage {
  from {
    transform: scale3d(1.1, 1.1, 1.1);
  }

  to {
    transform: scale3d(1, 1, 1);
  }
}

.zoomOutImage {
  -webkit-animation-name: zoomOutImage;
  animation-name: zoomOutImage;
}

.slick-nav {
  --active: #fff;
  --border: rgba(255, 255, 255, .12);
  width: 44px;
  height: 44px;
  position: absolute;
  cursor: pointer;
  top: calc(50% - 44px);
}

.slick-nav.prev-arrow {
  left: 3%;
  transform: scaleX(-1);
  z-index: 999;
}

.slick-nav.next-arrow {
  left: auto;
  right: 3%;
}

.slick-nav i {
  display: block;
  position: absolute;
  margin: -10px 0 0 -10px;
  width: 20px;
  height: 20px;
  left: 50%;
  top: 50%;
}

.slick-nav i:before,
.slick-nav i:after {
  content: "";
  width: 10px;
  height: 2px;
  border-radius: 1px;
  position: absolute;
  left: 50%;
  top: 50%;
  background: var(--active);
  margin: -1px 0 0 -5px;
  display: block;
  transform-origin: 9px 50%;
}

.slick-nav i:before {
  transform: rotate(-40deg);
}

.slick-nav i:after {
  transform: rotate(40deg);
}

.slick-nav:before,
.slick-nav:after {
  content: "";
  display: block;
  position: absolute;
  left: 1px;
  right: 1px;
  top: 1px;
  bottom: 1px;
  border-radius: 50%;
  border: 2px solid var(--border);
}

.slick-nav svg {
  width: 44px;
  height: 44px;
  display: block;
  position: relative;
  z-index: 1;
  color: var(--active);
  stroke-width: 2px;
  stroke-dashoffset: 126;
  stroke-dasharray: 126 126 0;
  transform: rotate(0deg);
}

.slick-nav.animate svg {
  -webkit-animation: stroke 1s ease forwards 0.3s;
  animation: stroke 1s ease forwards 0.3s;
}

.slick-nav.animate i {
  -webkit-animation: arrow 1.6s ease forwards;
  animation: arrow 1.6s ease forwards;
}

.slick-nav.animate i:before {
  -webkit-animation: arrowUp 1.6s ease forwards;
  animation: arrowUp 1.6s ease forwards;
}

.slick-nav.animate i:after {
  -webkit-animation: arrowDown 1.6s ease forwards;
  animation: arrowDown 1.6s ease forwards;
}

@-webkit-keyframes stroke {
  52% {
    transform: rotate(-180deg);
    stroke-dashoffset: 0;
  }

  52.1% {
    transform: rotate(-360deg);
    stroke-dashoffset: 0;
  }

  100% {
    transform: rotate(-180deg);
    stroke-dashoffset: 126;
  }
}

@keyframes stroke {
  52% {
    transform: rotate(-180deg);
    stroke-dashoffset: 0;
  }

  52.1% {
    transform: rotate(-360deg);
    stroke-dashoffset: 0;
  }

  100% {
    transform: rotate(-180deg);
    stroke-dashoffset: 126;
  }
}

@-webkit-keyframes arrow {

  0%,
  100% {
    transform: translateX(0);
    opacity: 1;
  }

  23% {
    transform: translateX(17px);
    opacity: 1;
  }

  24%,
  80% {
    transform: translateX(-22px);
    opacity: 0;
  }

  81% {
    opacity: 1;
    transform: translateX(-22px);
  }
}

@keyframes arrow {

  0%,
  100% {
    transform: translateX(0);
    opacity: 1;
  }

  23% {
    transform: translateX(17px);
    opacity: 1;
  }

  24%,
  80% {
    transform: translateX(-22px);
    opacity: 0;
  }

  81% {
    opacity: 1;
    transform: translateX(-22px);
  }
}

@-webkit-keyframes arrowUp {

  0%,
  100% {
    transform: rotate(-40deg) scaleX(1);
  }

  20%,
  80% {
    transform: rotate(0deg) scaleX(0.1);
  }
}

@keyframes arrowUp {

  0%,
  100% {
    transform: rotate(-40deg) scaleX(1);
  }

  20%,
  80% {
    transform: rotate(0deg) scaleX(0.1);
  }
}

@-webkit-keyframes arrowDown {

  0%,
  100% {
    transform: rotate(40deg) scaleX(1);
  }

  20%,
  80% {
    transform: rotate(0deg) scaleX(0.1);
  }
}

@keyframes arrowDown {

  0%,
  100% {
    transform: rotate(40deg) scaleX(1);
  }

  20%,
  80% {
    transform: rotate(0deg) scaleX(0.1);
  }
}


/* end slider */

.section {
  padding: 100px;
}

.section-intro .intro {
  display: grid;
  grid-template-columns: 1fr 1fr;
  gap: 20px;
  align-items: center;
}

.title_nho {
  font-size: 28px;
}

.section-intro .intro * {
  color: #ffff !important;
}

.section-intro .intro * {
  color: #ffff !important;
}

.section-intro {
  position: relative;
}

.section-intro::before {
  content: '';
  position: absolute;
  width: 500px;
  height: 600px;
  bottom: 0;
  right: 0;
  background: url(../images/icon_background.png) top center;
}

.linhvuc,
.duans,
.fromtuvan,
.news-featured {
  display: grid;
  grid-template-columns: 310px 770px;
  gap: 30px;
  align-items: center;
}

.section-linhvuc .cumlinhvuc .slider_linhvuc .item {
  display: grid;
  gap: 20px;
}

.section-linhvuc .cumlinhvuc .slider_linhvuc .item.even .image {
  grid-row: 2;
}

.section-linhvuc .linhvucs {
  position: relative;
}

.section-linhvuc .linhvucs::before {
  content: '';
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: transparent;
  transition: all 1s ease;
}

.section-linhvuc:hover .linhvucs::before {
  background: rgba(255, 255, 255, 0.1);
  backdrop-filter: blur(10px);
  transition: all 1s ease;
}

.section-linhvuc .linhvucs .container {
  position: relative;
  z-index: 99;
}

.section-duan .projects .project a {
  position: relative;
}

.section-duan .projects .project .intro_project {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  display: grid;
  align-content: space-between;
  padding: 20px;
}

.section-duan .projects .project .intro_project * {
  color: #fff;
}

.section {
  padding: 200px 0;
}

.contact--tuvan {
  background: var(--color-1st);
  padding: 40px;
  border-radius: 20px;
  position: relative;
  z-index: 1;
  box-shadow: 0 5px 10px rgba(0, 0, 0, 0.15), 0 4px 15px rgba(0, 0, 0, 0.13);
}

.fromtuvan .field_form input {
  background: transparent;
  border: 0;
  color: #fff;
}

.fromtuvan .field_form input::placeholder {
  color: #fff;
}

.fromtuvan .field_form .form-group {
  display: grid;
  grid-template-columns: 1fr 15fr;
  align-items: center;
  border: 1px solid #ddd;
  padding: 0 10px;
  border-radius: 5px;
}

.fromtuvan .field_form .btn {
  padding: 10px;
}

.contact-tuvans {
  position: relative;
}

.video-tuvan {
  position: absolute;
  left: 99%;
  top: 50%;
  transform: translatey(-50px);
  z-index: 0;
}

.video-tuvan a {
  display: block;
  width: 150px;
  height: 150px;
}

.video-tuvan img {
  width: 100%;
  height: 100%;
}

.new-featured-first .decs {
  overflow: hidden;
  text-overflow: ellipsis;
  line-height: 25px;
  -webkit-line-clamp: 3;
  height: 73px;
  display: -webkit-box;
  -webkit-box-orient: vertical;
}

.news-featured .items .intro .title h4 {
  overflow: hidden;
  text-overflow: ellipsis;
  line-height: 25px;
  margin-bottom: 25px;
  -webkit-line-clamp: 2;
  height: 50px;
  display: -webkit-box;
  -webkit-box-orient: vertical;
}

.menu_footer {
  list-style-type: none;
  padding-left: 0;
}

.bottom--footer * {
  color: #fff
}

.bottom--footer .content--footer ul {
  list-style-type: none;
  padding-left: 0;
}

.item-blog .project {
  box-shadow: 0 5px 10px rgba(0, 0, 0, 0.15), 0 4px 15px rgba(0, 0, 0, 0.13);
  border-radius: 10px;
}

.item-blog .project .image_project {
  position: relative;
}

.item-blog .project .image_project .trang_thai {
  position: absolute;
  left: 10px;
  top: 10px;
  font-weight: 600;
  background: rgba(255, 255, 255, 0.1);
  backdrop-filter: blur(10px);
  overflow: hidden;
  border-radius: 30px;
  padding: 10px;
  z-index: 9;
}

.item-blog .project .image_project .trang_thai p {
  margin-bottom: 0;
}

.intro_project {
  padding: 20px 0 5px;
}


.image_project {
  overflow: hidden;
}

.image_project:hover img {
  transform: scale(1.1);
  transition: all 0.3s ease;
}

.image_project img {
  transform: scale(1);
  transition: all 0.3s ease;
}

.danhtrang {
  background: #ddd;
  padding: 20px 0;
}

.top_menu_pc .menu_right>ul>li>a {
  padding: 30px 10px !important;
  font-size: 20px;
}

.top_menu_pc .menu_right li.dropdown .sub-menu-wrap {
  position: absolute;
  background: var(--color-1st);
  width: 250px;
  top: 100%;
  left: 0;
  transition: all 0.2s ease;
  transform: translateY(50px);
  opacity: 0;
  visibility: hidden;
}

.top_menu_pc .menu_right li.dropdown:hover .sub-menu-wrap {
  transition: all 0.2s ease;
  transform: translateY(0);
  opacity: 1;
  visibility: visible;
}

.top_menu_pc .menu_right li.dropdown .sub-menu-wrap .sub-menu {
  padding-left: 0;
}

.top_menu_pc .menu_right li.dropdown .sub-menu-wrap .sub-menu a {
  padding: 10px;
  display: block;
  position: relative;
}

.top_menu_pc .menu_right li.dropdown .sub-menu-wrap .sub-menu a::before {
  position: absolute;
  content: '';
  top: 0;
  left: 0;
  width: 0;
  height: 1px;
  transition: all 0.2s ease;
  background: #fff;
}

.top_menu_pc .menu_right li.dropdown .sub-menu-wrap .sub-menu a:hover:before {
  transition: all 0.2s ease;
  width: 100%;
  height: 1px;
  background: #fff;
}

.li-menu-child {
  position: relative;
}

.sub-menu-wrap-child {
  position: absolute;
  left: 100%;
  top: 0;
  background: var(--color-1st);
  width: 257px;
  opacity: 0;
  visibility: hidden;
  transform: translateY(30px);
  transition: all 0.2s;
  overflow-y: scroll;
  height: 600px;
}

.sub-menu-wrap-child::-webkit-scrollbar {
  width: 10px;
  background-color: #F5F5F5;
}

.sub-menu-wrap-child::-webkit-scrollbar-track {
  -webkit-box-shadow: inset 0 0 6px #f5f0f0;
  border-radius: 10px;
  background-color: #F5F5F5;
}

.sub-menu-wrap-child::-webkit-scrollbar-thumb {
  border-radius: 10px;
  -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, .3);
  background-color: var(--color-1st);
}


.li-menu-child:hover .sub-menu-wrap-child {
  opacity: 1;
  visibility: visible;
  transform: translateY(0);
  transition: all 0.2s;
}

.top--footer {
  gap: 20px;

}

.grecaptcha-badge {
  display: none;
}


.contact-moi {
  display: none;
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  z-index: 9999;
  background: #fff;

}

.contact-moi .container {
  display: flex;
  width: 100%;
  height: 100%;
  justify-content: center;
  align-items: center;
  position: relative;
}

.contact-moi.active {
  display: block;
}

.close_btn_thank {
  position: absolute;
  top: 100px;
  right: 0;
  border-radius: 50%;
  width: 50px;
  height: 50px;
  background: var(--color-1st);
  display: flex;
  justify-content: center;
  align-items: center;
  color: #fff;
}

.contact-success-message {
  color: #fff
}

#navCatContent .flags {
  overflow-y: scroll;
  height: 150px;
}

#navCatContent .item-dich {
  padding: 5px 20px;
  color: #fff;
}

#google_translate_element {
  position: absolute;
  right: 165px;
  top: 30px;
}

.skiptranslate.goog-te-gadget span,
.VIpgJd-ZVi9od-ORHb-OEVmcd.skiptranslate,
.ngonnguu {
  display: none;
}

.goog-logo-link {
  display: none !important;
}

.goog-te-gadget {
  color: transparent !important;
}

.goog-te-banner-frame.skiptranslate {
  display: none !important;
}

body {
  top: 0px !important;
}

.btn-ngonngu {
  position: relative;
  padding: 20px;
}

.btn-ngonngu * {
  color: #fff;
}

/*.btn-ngonngu:hover .ngonnguu{*/
/*    display: block;*/
/*}*/

.ngonnguu {
  position: absolute;
  top: 100%;
  right: 0;
  background: var(--color-1st);
  color: #fff;
  width: 150px;
  display: none;
}

.ngonnguu ul li span {
  display: block;
  width: 100%;
  padding: 5px 10px;
  text-align: right;
  transition: all 0.2s;
}

.item-dich:hover span {
  transform: translateX(-15px);
  transition: all 0.2s;
}

body {
  top: 0 !important;
}


@media (max-width: 1390px) {

  .linhvuc,
  .duans,
  .fromtuvan,
  .news-featured {
    grid-template-columns: 310px 640px;
  }

  #google_translate_element {
    right: 13px;
  }
}

@media (max-width: 1360px) {
  #google_translate_element {
    right: 84px;
  }
}

.top_menu_pc .ngonngu {
  position: relative;
}

.top_menu_pc .ngonngu .language-list {
  position: absolute;
  background: #fff;
  top: 243%;
  left: 0;
  width: 200px;
  display: grid;
    grid-template-columns: 1fr 1fr 1fr;
    max-height: 500px;
    overflow-y: scroll;
    gap: 10px;
    padding: 10px;
    border-radius: 5px;
}

.top_menu_pc .ngonngu .language-list .lang-item{
    border: 0;
    background: transparent;
}

.top_menu_pc .ngonngu .language-list .lang-item img{
    height: 20px;
    width: 30px
}

.language-section {
    display: none;
}

.language-section.active{
    display: block;
}

.ngonngutron i{
    color: #ffff;
}

.language-section.only-mobile{
    padding: 10px 17px;
}